Configutation:
  name: Prod-Default
  Properties:
    Property:
      name: log_location
      value: /usr/springboot/logs/
  Appenders:
    RollingFile:
      - name: AllRollingFile_Appender
        fileName: ${log_location}lioner-all.log
        filePattern: ${log_location}lioner-all-%d{yyyy-MM-dd}.log.gz
        PatternLayout:
          Pattern: "%d %p [%l] - %m%n"
        Policies:
          TimeBasedTriggeringPolicy:
            interval: 1
            modulate: true
        DefaultRolloverStrategy:
          Delete:
            basePath: ${log_location}
            maxDepth: 1
            IfFileName:
              glob: lioner-all-*.log.gz
            IfLastModified:
              age: P40D
      - name: ReminderRollingFile_Appender
        fileName: ${log_location}lioner-reminder.log
        filePattern: ${log_location}lioner-reminder-%d{yyyy-MM-dd}.log.gz
        PatternLayout:
          Pattern: "%d %p [%l] - %m%n"
        Policies:
          TimeBasedTriggeringPolicy:
            interval: 1
            modulate: true
        DefaultRolloverStrategy:
          Delete:
            basePath: ${log_location}
            maxDepth: 1
            IfFileName:
              glob: lioner-reminder-*.log.gz
            IfLastModified:
              age: P7D
  Loggers:
    Logger:
      - name: com.ffii.lioner.modules.lioner.service.TodoReminderService
        level: info
        additivity: false
        AppenderRef:
          - ref: ReminderRollingFile_Appender

    Root:
      level: info
      AppenderRef:
        - ref: AllRollingFile_Appender